eslint-plugin-type-graphql-fix

Linter for TypeGraphQL decorators

Downloads in past

Stats

StarsIssuesVersionUpdatedCreatedSize
eslint-plugin-type-graphql-fix
1451.0.33 months ago3 months agoMinified + gzip package size for eslint-plugin-type-graphql-fix in KB

Readme

npm version build codecov code style: prettier language
eslint-plugin-type-graphql
TypeGraphQL linting rules for ESLint

Installation

Install prerequisites:
npm i -D eslint @typescript-eslint/parser

Install eslint-plugin-type-graphql:
npm i -D eslint-plugin-type-graphql

Recommended configuration

Create an ESLint configuration and add the plugin rules like so:
{
  "plugins": ["type-graphql"],
  "extends": [
    "plugin:@typescript-eslint/recommended",
    "plugin:@typescript-eslint/recommended-requiring-type-checking",
    "plugin:type-graphql/recommended"
  ],
  "parser": "@typescript-eslint/parser"
}

Provided rules

License

This plugin is licensed under the Apache 2.0 license.